FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 11-28-2011, 12:36 PM
Vincent Lefevre
 
Default Bug#650277: ICE when building MPFR: in decide_alg, at config/i386/i386.c:22094

Package: gcc-snapshot
Version: 20111114-1
Severity: normal

When building the future MPFR 3.1.0-p4 (but the patch level shouldn't
matter here) with

../mpfr-3.1.0/configure --with-gmp=/usr/local/gmp-debug --enable-assert=full --enable-logging CC=gcc-snapshot CFLAGS='-Wall -O3 -march=native -std=gnu99'

I got:

../../mpfr-3.1.0/tests/trint.c: In function 'main':
../../mpfr-3.1.0/tests/trint.c:247:10: internal compiler error: in decide_alg, at config/i386/i386.c:22094
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-snapshot/README.Bugs> for instructions.
[...]
Preprocessed source stored into /tmp/ccMzeiyD.out file, please attach this to your bugreport.
make[2]: *** [trint.o] Error 1
make[2]: *** Waiting for unfinished jobs....

I've attached the preprocessed source, compressed.

BTW, this is strange that config/i386/i386.c is mentioned because
this is an x86_64 machine.

-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gcc-snapshot depends on:
ii binutils 2.22-1
ii libasound2 1.0.24.1-4
ii libatk1.0-0 2.2.0-2
ii libc6 2.13-21
ii libc6-dev 2.13-21
ii libc6-dev-i386 2.13-21
ii libc6-i386 2.13-21
ii libcairo2 1.10.2-6.1
ii libcloog-ppl0 0.15.9-3
ii libecj-java 3.5.1-3
ii libfontconfig1 2.8.0-3
ii libfreetype6 2.4.8-1
ii libgdk-pixbuf2.0-0 2.24.0-1
ii libglib2.0-0 2.30.2-4
ii libgmp10 2:5.0.2+dfsg-2
ii libgmpxx4ldbl 2:5.0.2+dfsg-2
ii libgtk2.0-0 2.24.8-2
ii libice6 2:1.0.7-2
ii libmpc2 0.9-4
ii libmpfr4 3.1.0-3
ii libpango1.0-0 1.29.4-2
ii libppl-c4 0.11.2-6
ii libppl9 0.11.2-6
ii libsm6 2:1.2.0-2
ii libxrandr2 2:1.3.2-2
ii libxrender1 1:0.9.6-2
ii libxtst6 2:1.2.0-4
ii python 2.7.2-9
ii zlib1g 1:1.2.3.4.dfsg-3

gcc-snapshot recommends no packages.

Versions of packages gcc-snapshot suggests:
pn binutils-gold <none>

-- no debconf information
 

Thread Tools




All times are GMT. The time now is 09:41 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org